xgboost

Public Member Functions | List of all members
xgboost::StringView Struct Reference

`#include <json.h>`

Collaboration diagram for xgboost::StringView:

## Public Member Functions
| StringView ()=default
| StringView (CharT const *str, size_t size)
| StringView (std::string const &str)
| StringView (CharT const *str)
CharT const & | operator[] (size_t p) const
CharT const & | at (size_t p) const
size_t | size () const
std::string | substr (size_t beg, size_t n) const
CharT const * | c_str () const
CharT const * | cbegin () const
CharT const * | cend () const
CharT const * | begin () const
CharT const * | end () const

## Constructor & Destructor Documentation

## ◆ StringView() [1/4]

xgboost::StringView::StringView | ( |  | ) |
| default

## ◆ StringView() [2/4]

xgboost::StringView::StringView | ( | CharT const * | str,
|  | size_t | size
| ) |  |
| inline

## ◆ StringView() [3/4]

xgboost::StringView::StringView | ( | std::string const & | str | ) |
| inline explicit

## ◆ StringView() [4/4]

xgboost::StringView::StringView | ( | CharT const * | str | ) |
| inline explicit

## Member Function Documentation

## ◆ at()

CharT const& xgboost::StringView::at | ( | size_t | p | ) | const
| inline

## ◆ begin()

CharT const* xgboost::StringView::begin | ( |  | ) | const
| inline

## ◆ c_str()

CharT const* xgboost::StringView::c_str | ( |  | ) | const
| inline

## ◆ cbegin()

CharT const* xgboost::StringView::cbegin | ( |  | ) | const
| inline

## ◆ cend()

CharT const* xgboost::StringView::cend | ( |  | ) | const
| inline

## ◆ end()

CharT const* xgboost::StringView::end | ( |  | ) | const
| inline

## ◆ operator[]()

CharT const& xgboost::StringView::operator[] | ( | size_t | p | ) | const
| inline

## ◆ size()

size_t xgboost::StringView::size | ( |  | ) | const
| inline

## ◆ substr()

std::string xgboost::StringView::substr | ( | size_t | beg,
|  | size_t | n
| ) |  | const
| inline

The documentation for this struct was generated from the following file:

- /home/runner/work/xgboost/xgboost/include/xgboost/json.h